# Set-RASScheduleMessage

### NAME

Set-RASScheduleMessage\ <br>

### SYNOPSIS

Modifies a Schedule Message from a Schedule Item.\ <br>

### SYNTAX

Set-RASScheduleMessage \[-[Id](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASScheduleMessage.html#Id)] *\<uint>* -[MessageId](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASScheduleMessage.html#MessageId) *\<uint>* -[ObjType](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASScheduleMessage.html#ObjType) {RDS | VDI | AVD} \[-[Enabled](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASScheduleMessage.html#Enabled) *\<bool>*] \[-[Message](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASScheduleMessage.html#Message) *\<string>*] \[-[MessageTitle](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASScheduleMessage.html#MessageTitle) *\<string>*] \[-[SendMsgSecs](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASScheduleMessage.html#SendMsgSecs) *\<uint>*] \[-[SendMsgWhen](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASScheduleMessage.html#SendMsgWhen) {Before | After}] \[-[TargetType](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASScheduleMessage.html#TargetType) {Host | HostPool}] \[*<*[*CommonParameters*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASScheduleMessage.html#CommonParameters)*>*]\
\
Set-RASScheduleMessage \[-[Name](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASScheduleMessage.html#Name)] *\<string>* \[\[-[SiteId](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASScheduleMessage.html#SiteId)] *\<uint>*] -[MessageId](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASScheduleMessage.html#MessageId) *\<uint>* -[ObjType](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASScheduleMessage.html#ObjType) {RDS | VDI | AVD} \[-[Enabled](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASScheduleMessage.html#Enabled) *\<bool>*] \[-[Message](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASScheduleMessage.html#Message) *\<string>*] \[-[MessageTitle](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASScheduleMessage.html#MessageTitle) *\<string>*] \[-[SendMsgSecs](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASScheduleMessage.html#SendMsgSecs) *\<uint>*] \[-[SendMsgWhen](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASScheduleMessage.html#SendMsgWhen) {Before | After}] \[-[TargetType](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASScheduleMessage.html#TargetType) {Host | HostPool}] \[*<*[*CommonParameters*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASScheduleMessage.html#CommonParameters)*>*]\ <br>

### DESCRIPTION

Modifies a Schedule Message from a Schedule Item.\ <br>

### PARAMETERS

\
-**MessageId \<uint>**\
Scheduler job message ID.\ <br>

```
        Required?                    true
```

```
        Position?                    named
```

```
        Default value                0
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**Enabled \<bool>**\
Whether to enable or disable the message.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**MessageTitle \<string>**\
The title of the message.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**Message \<string>**\
A message that should be sent to users before the job starts.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**SendMsgSecs \<uint>**\
Time interval in seconds before the job starts when the message to users should be sent.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**SendMsgWhen <**[**SendMsgWhen**](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/SendMsgWhen.html)**>**\
Whether the message is sent Before/After the schedule is triggered.\
\
SendMsgWhen can only be set to After in the case of Reboot.\
\
Possible values: Before, After\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**Name \<string>**\
Scheduler job name.\ <br>

```
        Required?                    true
```

```
        Position?                    0
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**SiteId \<uint>**\
Site ID to modify the schedule job.\ <br>

```
        Required?                    false
```

```
        Position?                    1
```

```
        Default value                0
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**Id \<uint>**\
Scheduler job ID.\ <br>

```
        Required?                    true
```

```
        Position?                    0
```

```
        Default value                0
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**ObjType <**[**ScheduleObjType**](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/ScheduleObjType.html)**>**\
Schedule message object type.\
\
Possible values: RDS, VDI, AVD\ <br>

```
        Required?                    true
```

```
        Position?                    named
```

```
        Default value                0
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**TargetType <**[**ScheduleTargetType**](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/ScheduleTargetType.html)**>**\
Schedule target type.\
\
Possible values: Host, HostPool\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
\<CommonParameters>

```
        This cmdlet supports the common parameters: Verbose, Debug,
```

```
        ErrorAction, ErrorVariable, WarningAction, WarningVariable,
```

```
        OutBuffer, PipelineVariable, and OutVariable. For more information, see 
```

```
        about_CommonParameters . 
```

<br>

### INPUTS

-none-

### OUTPUTS

-none-

### EXAMPLES

\
\&#xNAN;**---------- EXAMPLE 1 ----------**\
\
Set-RASScheduleMessage -ObjType VDI -Name "SchedItem" -Enabled 0 -SendMsgSecs 60 -SendMsgWhen Before -MessageTitle "messageTitle" -Message "messageBody"\
\
Modifies the specified message by id within the specified schedule item by name.\
\&#xNAN;**---------- EXAMPLE 2 ----------**\
\
Set-RASScheduleMessage -ObjType VDI -Id 1 -MessageId 1 -Enabled 0 -SendMsgSecs 60 -SendMsgWhen Before -MessageTitle "messageTitle" -Message "messageBody"\
\
Modifies the specified message by id within the specified schedule item by id.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v19/parallels-ras-powershell-admin-module/commands/set-rasschedulemessage.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
